Este artigo requer o jogo base MapleStory no Steam para poder ser jogado.

Data de lançamento: 9 Ago, 2012
Marcadores populares para este produto:

Inicia a sessão para adicionares este artigo à tua lista de desejos, segui-lo ou dispensá-lo.

Conteúdo Transferível

Este artigo requer o jogo base MapleStory no Steam para poder ser jogado.

Comprar MapleStory Value Pack

 

Acerca deste conteúdo

An amazing deal for any up-and-coming Mapler, the MapleStory Value Pack will help you zip around the world and make sure you don't do it alone: Pick one up and you'll get a Brown Kitty pet for 90 days!

  • Hyper Teleport Rock (1 Day)
    Activate this mysterious, shiny stone to teleport to most locations in the World Map. You can also teleport to a specific player's location, to better link up with your buddies. Bookmark your favorite locations to teleport with the click of a button! Note that teleportation is restricted on some map areas.

  • Brown Kitty (90 Days)
    What's cuter than an adorable little kitty cat? Adopt this ball of fur today and you'll have a companion for three whole months. Feed your kitty to improve your relationship and unlock special commands. Even cats can use equips! Pick up special equipment from the Cash Shop to upgrade your pet's abilities.

Requisitos do Sistema

    Minimum:
    • OS:Windows Vista or later
    • Processor:Intel Core Duo 2.4Ghz / AMD Athlon 64 X2 2.4Ghz
    • Memory:2GB RAM
    • Graphics:GeForce 8600 GH / ATI Radeon HD 3450
    • Hard Drive:At least 14GB of free space
    • Sound:DirectX 9.0 or higher compatible sound card
    • Other Requirements:Broadband Internet connection
    • We recommend that you install DirectX version 9.0 or higher for the client to run smoothly
    Recommended:
    • OS:Windows 7 or later
    • Processor:Intel Core Duo 3.0Ghz / AMD Athlon 64 X2 3.0Ghz
    • Memory:at least 4GB RAM
    • Graphics:GeForce 9600 / ATI Radeon HD 3870 or higher
    • Hard Drive:At least 14GB of free space
    • Sound:DirectX 9.0 or higher compatible sound card
    • Other Requirements:Broadband Internet connection
    • We recommend that you install DirectX version 9.0 or higher for the client to run smoothly
Ainda não há análises públicas sobre este produto no teu idioma
Podes escrever a tua própria análise deste produto para partilhar a tua experiência com a comunidade. Utiliza a zona acima dos botões de compra nesta página para escreveres a tua análise.